Package org.eclipse.birt.chart.computation

# Class LegendBuilder.LabelItem

java.lang.Object
org.eclipse.birt.chart.computation.LegendBuilder.LabelItem

All Implemented Interfaces:
  `EllipsisHelper.ITester`

Enclosing class:
  LegendBuilder

public static class LegendBuilder.LabelItem extends Object implements EllipsisHelper.ITester

## Constructor Summary

Constructors
Constructor
Description
`LabelItem(org.eclipse.birt.chart.computation.LegendBuilder.LegendData lgData, Label la)`
`LabelItem(org.eclipse.birt.chart.computation.LegendBuilder.LegendData lgData, Label la, double dWrapping)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`checkEllipsis(double dWidthLimit)`
Checks if current label text should use ellipsis to shorten the length.
`String`
`getCaption()`
get the display text of the label
`String`
`getFullText()`
`double`
`getHeight()`
`int`
`getValidTextLen()`
`double`
`getWidth()`
`void`
`setText(String sText)`
`boolean`
`testLabelVisible(String strNew, Object oPara)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LabelItem

public LabelItem(org.eclipse.birt.chart.computation.LegendBuilder.LegendData lgData, Label la, double dWrapping)

### LabelItem

public LabelItem(org.eclipse.birt.chart.computation.LegendBuilder.LegendData lgData, Label la)

## Method Details

### setText

public void setText(String sText) throws ChartException

Throws:
  `ChartException`

### getFullText

public String getFullText()

### getValidTextLen

public int getValidTextLen()

### testLabelVisible

public boolean testLabelVisible(String strNew, Object oPara) throws ChartException

Specified by:
  `testLabelVisible` in interface `EllipsisHelper.ITester`
Throws:
  `ChartException`

### checkEllipsis

public boolean checkEllipsis(double dWidthLimit) throws ChartException
Checks if current label text should use ellipsis to shorten the length.

Parameters:
  `dWidthLimit` - the expected width to be reduced from the text
Throws:
  `ChartException`

### getWidth

public double getWidth() throws ChartException

Specified by:
  `getWidth` in interface `EllipsisHelper.ITester`
Throws:
  `ChartException`

### getHeight

public double getHeight() throws ChartException

Specified by:
  `getHeight` in interface `EllipsisHelper.ITester`
Throws:
  `ChartException`

### getCaption

public String getCaption()
get the display text of the label

Returns:
  caption string